%define major		2
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Name:		usbmuxd
Version:	1.0.9
%define subrel	1
Release:	%mkrel 6
Summary:	Daemon for communicating with Apple's iPod Touch and iPhone
Group:		System/Kernel and hardware 
License:	GPLv2+ and LGPLv2+
URL:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/lib%{name}-%{version}.tar.bz2
Patch0:		libusbmuxd-1.0.10-listen-local.patch
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	pkgconfig(libplist) >= 1.11

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

#---------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library to access the usbmuxd daemon
Group:		System/Libraries
#overquires
#Requires:	#{name} >= #{version}-#{release}

%description -n %{libname}
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

#---------------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

#---------------------------------------------------------------------------------
%prep
%setup -q -n lib%{name}-%{version}
%patch0 -p1 -b .CVE-2016-5104

%build
autoreconf -vfi
%configure2_5x \
		--disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete

%pre
%_pre_useradd usbmux /proc /sbin/nologin

%postun
%_postun_userdel usbmux

%files
%doc AUTHORS README
%{_bindir}/iproxy

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%doc README
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Fri May 27 2016 luigiwalser <luigiwalser> 1.0.9-6.1.mga5
+ Revision: 1018931
- add upstream patch to fix CVE-2016-5104

* Tue Feb 24 2015 eatdirt <eatdirt> 1.0.9-6.mga5
+ Revision: 816769
- Removing overrequire of the binary by the library

* Wed Oct 15 2014 umeabot <umeabot> 1.0.9-5.mga5
+ Revision: 739559
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.9-4.mga5
+ Revision: 730688
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.9-3.mga5
+ Revision: 690091
- Mageia 5 Mass Rebuild

* Mon Mar 31 2014 daviddavid <daviddavid> 1.0.9-2.mga5
+ Revision: 610952
- use correct specification for required main pkg on library

* Mon Mar 31 2014 daviddavid <daviddavid> 1.0.9-1.mga5
+ Revision: 610878
- change build system to autotools from upstream
- drop udev rules and systemd service from upstream
- add autoreconf and configure for build
- add BRs on libtool and gcc-c++
- update URL and link url for Source0
- specify also the release of required packages (according to Mageia's policy)
- new version: 1.0.9

* Sun Mar 30 2014 daviddavid <daviddavid> 1.0.8-5.mga5
+ Revision: 610704
- rebuild for new libplist

* Fri Oct 18 2013 umeabot <umeabot> 1.0.8-4.mga4
+ Revision: 519899
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.8-3.mga3
+ Revision: 385157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 blino <blino> 1.0.8-2.mga3
+ Revision: 303688
- use systemd to start usbmuxd, udev would kill it after the end of the event (from Bastien Nocera, Fedora)
- drop acl require
- drop acl patch, the udev rule already sets the device owner to usbmux

* Tue Aug 07 2012 wally <wally> 1.0.8-1.mga3
+ Revision: 279818
- new version 1.0.8
- source tarball from a new developer
- drop upstreamed CVE patch
- rediff udev patch
- clean .spec a bit

* Sat Aug 04 2012 luigiwalser <luigiwalser> 1.0.7-4.mga3
+ Revision: 278493
- add requires acl as udev rule runs setfacl

* Fri Aug 03 2012 luigiwalser <luigiwalser> 1.0.7-3.mga3
+ Revision: 278312
- add upstream patch to fix CVE-2012-0065

* Wed Aug 03 2011 colin <colin> 1.0.7-2.mga2
+ Revision: 131573
- Ensure the usbmux user can actually access the iDevice node.

* Thu Apr 14 2011 tv <tv> 1.0.7-1.mga1
+ Revision: 85192
- new version
- drop patch

* Sat Jan 15 2011 blino <blino> 1.0.6-3.mga1
+ Revision: 18985
- remove old ldconfig scriptlets
- imported package usbmuxd

